# Uses of Interface
javax.tools.StandardJavaFileManager.PathFactory

Packages that use StandardJavaFileManager.PathFactory
Package
Description
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of StandardJavaFileManager.PathFactory in javax.tools

Methods in javax.tools with parameters of type StandardJavaFileManager.PathFactory
Modifier and Type
Method
Description
`default void`
StandardJavaFileManager.`setPathFactory(StandardJavaFileManager.PathFactory f)`
Specify a factory that can be used to generate a path from a string, or series of strings.